package com.casic.dcms.view;

import android.widget.LinearLayout;

import androidx.fragment.app.Fragment;

import com.casic.dcms.R;
import com.casic.dcms.adapter.SubViewPagerAdapter;
import com.casic.dcms.databinding.ActivityStreetLightBinding;
import com.casic.dcms.fragment.LightOnListFragment;
import com.casic.dcms.fragment.LightOnMapFragment;
import com.casic.dcms.utils.LinearLayoutHelper;
import com.gyf.immersionbar.ImmersionBar;
import com.pengxh.androidx.lite.base.AndroidxBaseActivity;
import com.pengxh.androidx.lite.hub.IntHub;
import com.pengxh.androidx.lite.utils.ImmerseStatusBarManager;

import java.util.ArrayList;
import java.util.List;

public class StreetlightManagerActivity extends AndroidxBaseActivity<ActivityStreetLightBinding> {

    private final String[] pageTitles = new String[]{"路灯分布", "路灯列表"};

    @Override
    protected void setupTopBarLayout() {
        ImmerseStatusBarManager.setColor(this, IntHub.convertColor(this, R.color.white));
        ImmersionBar.with(this).statusBarDarkFont(true).init();

        viewBinding.titleBarLayout.titleView.setText("路灯管理");
        viewBinding.titleBarLayout.leftBackView.setOnClickListener(v -> finish());
    }

    @Override
    protected void observeRequestState() {

    }

    @Override
    protected void initData() {
        List<Fragment> fragmentList = new ArrayList<>();
        fragmentList.add(new LightOnMapFragment());
        fragmentList.add(new LightOnListFragment());
        SubViewPagerAdapter adapter = new SubViewPagerAdapter(getSupportFragmentManager(), pageTitles, fragmentList);
        viewBinding.viewPager.setAdapter(adapter);
        //绑定TabLayout
        viewBinding.tabLayout.setupWithViewPager(viewBinding.viewPager);
        LinearLayout linearLayout = (LinearLayout) viewBinding.tabLayout.getChildAt(0);
        LinearLayoutHelper.setDivider(this, linearLayout);
    }

    @Override
    protected void initEvent() {

    }
}